<div class="d-flex justify-content-center menu">
  <div class="align-items-center w-50 menu__body mt-3">
    <ul class="m-2">
      <li *ngFor="let menu of coffeeMenu.menu">
        <div class="d-flex justify-content-center">
          <span class="menu__type" *ngIf="menu.items.length > 0">{{menu.type}}</span>
        </div>
        <ng-container [ngTemplateOutlet]="itemTemplate" [ngTemplateOutletContext]="{items: menu.items}">
        </ng-container>
      </li>
      <!-- Combo Menu-->
      <div class="d-flex justify-content-center">
        <span class="menu__type">Discount on Combos</span>
      </div>
      <li *ngFor="let discount of discountData">
        <div class="d-flex justify-content-between">
          <div>
            <span class="menu__name">{{getItems(discount.itemIds) | itemConcatPipe: 'name'}}</span>
          </div>
          <div>
            <span>{{discount.discountPercentage}}%</span>
          </div>
        </div>
      </li>
    </ul>
    <div class="d-flex flex-row-reverse m-2">
      <button class="btn btn-primary rounded" (click)="navigateToOrder()">
        Click to Order !
      </button>
    </div>
  </div>
</div>


<ng-template #itemTemplate let-items="items">
  <ul>
    <li *ngFor="let item of items">
      <div class="d-flex justify-content-between">
        <div class="w-50">
          <div>
            <span class="menu__name">{{item.name}}</span>
          </div>

          <div class="menu__description">
            <span>{{item.description}}</span>
          </div>
        </div>
        <div>
          <span>&#36;{{item.price}}</span>
        </div>
      </div>
    </li>
  </ul>
</ng-template>
